=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2005-11-23 15:44:24 +0000
+++ bzrlib/tests/test_merge.py	2005-11-26 01:23:17 +0000
@@ -3,7 +3,7 @@
 from bzrlib.branch import Branch
 from bzrlib.commit import commit
 from bzrlib.tests import TestCaseInTempDir
-from bzrlib.merge import merge
+from bzrlib.merge import merge, transform_tree
 from bzrlib.errors import UnrelatedBranches, NoCommits, BzrCommandError
 from bzrlib.revision import common_ancestor
 from bzrlib.fetch import fetch
@@ -52,3 +52,14 @@
         commit(br1, "blah")
         last = br1.last_revision()
         self.assertEquals(common_ancestor(last, last, br1), last)
+
+    def test_create_rename(self):
+        """Rename an inventory entry while creating the file"""
+        b = Branch.initialize('.')
+        file('name1', 'wb').write('Hello')
+        tree = b.working_tree()
+        tree.add('name1')
+        tree.commit(message="hello")
+        tree.rename_one('name1', 'name2')
+        os.unlink('name2')
+        transform_tree(tree, b.basis_tree())

